org.eclipse.ease.ui.console

## Class ScriptConsole

- java.lang.Object
- - org.eclipse.ui.console.AbstractConsole
  - - org.eclipse.ui.console.TextConsole
    - - org.eclipse.ui.console.IOConsole
      - - org.eclipse.ease.ui.console.ScriptConsole

All Implemented Interfaces:
  java.util.EventListener, IExecutionListener, IScriptEngineProvider, IPropertyChangeListener, IConsole

    public class ScriptConsole
    extends IOConsole
    implements IExecutionListener, IScriptEngineProvider, IPropertyChangeListener

### Field Summary

Fields
`static java.lang.String` `CONSOLE_ACTIVE`

### Fields inherited from interface org.eclipse.ease.IExecutionListener

`ENGINE_END, ENGINE_START, SCRIPT_END, SCRIPT_INJECTION_END, SCRIPT_INJECTION_START, SCRIPT_START`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ScriptConsole` `create(IScriptEngine engine)`
`static ScriptConsole` `create(java.lang.String title, IScriptEngine engine)`
`static java.lang.String` `getConsoleType()`
`IOConsoleOutputStream` `getErrorStream()`
`ILaunch` `getLaunch()`
`IOConsoleOutputStream` `getOutputStream()`
`IScriptEngine` `getScriptEngine()`
`void` `notify(IScriptEngine engine, Script script, int status)` Notifies the listeners when script execution started/ended or when the engine itself is started/ended.
`void` `propertyChange(PropertyChangeEvent event)`
`void` `setLaunch(ILaunch launch)`
`void` `setPageParticipant(ScriptConsolePageParticipant scriptConsolePageParticipant)`
`void` `setScriptEngine(IScriptEngine scriptEngine)`
`void` `terminate()`

### Methods inherited from class org.eclipse.ui.console.IOConsole

`clearConsole, createPage, getCharset, getEncoding, getHighWaterMark, getInputStream, getLowWaterMark, newOutputStream, setInputStream, setWaterMarks`

### Methods inherited from class org.eclipse.ui.console.TextConsole

`addHyperlink, addPatternMatchListener, getAttribute, getBackground, getConsoleWidth, getDocument, getFont, getHyperlink, getHyperlinks, getRegion, getSchedulingRule, getTabWidth, isConsoleAutoScrollLock, matcherFinished, partitionerFinished, removePatternMatchListener, setAttribute, setBackgrond, setBackground, setConsoleAutoScrollLock, setConsoleWidth, setFont, setTabWidth`

### Methods inherited from class org.eclipse.ui.console.AbstractConsole

`activate, addPropertyChangeListener, destroy, firePropertyChange, getHelpContextId, getImageDescriptor, getName, getType, initialize, removePropertyChangeListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONSOLE_ACTIVE

    public static final java.lang.String CONSOLE_ACTIVE

See Also:
  Constant Field Values

### Method Detail

#### create

    public static ScriptConsole create(java.lang.String title,
                                       IScriptEngine engine)

#### create

    public static ScriptConsole create(IScriptEngine engine)

#### getConsoleType

    public static java.lang.String getConsoleType()

#### getErrorStream

    public IOConsoleOutputStream getErrorStream()

#### getOutputStream

    public IOConsoleOutputStream getOutputStream()

#### notify

    public void notify(IScriptEngine engine,
                       Script script,
                       int status)

Description copied from interface: `IExecutionListener`
Notifies the listeners when script execution started/ended or when the engine itself is started/ended.

Specified by:
  `notify` in interface `IExecutionListener`
Parameters:
  `engine` - Script Engine
  `script` - Script or `null`
  `status` - Event Status

#### terminate

    public void terminate()

#### getScriptEngine

    public IScriptEngine getScriptEngine()

Specified by:
  `getScriptEngine` in interface `IScriptEngineProvider`

#### setLaunch

    public void setLaunch(ILaunch launch)

#### getLaunch

    public ILaunch getLaunch()

#### propertyChange

    public void propertyChange(PropertyChangeEvent event)

Specified by:
  `propertyChange` in interface `IPropertyChangeListener`

#### setScriptEngine

    public void setScriptEngine(IScriptEngine scriptEngine)

#### setPageParticipant

    public void setPageParticipant(ScriptConsolePageParticipant scriptConsolePageParticipant)